---
title: "Select reporter reporting intents"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reporter

`POST /v2/reporter/reporting-intent-selection`

## Request body

_Required._

- `entityId` (`reporter-reporting-intents-select.entityId`; string, required)
  - format `uuid`
- `intentId` (`reporter-reporting-intents-select.intentId`; string, required)
  - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`

## Example request

```json
{
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "intentId": "string"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.sureshake.com/v2/reporter/reporting-intent-selection \
  --header 'Content-Type: application/json' \
  --data '
{
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "intentId": "string"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reporter/reporting-intent-selection';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({entityId: '156e622c-6cdf-4c27-9bc9-2f2db69919f5', intentId: 'string'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reporter/reporting-intent-selection"

payload = {
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "intentId": "string"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "selection": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "onboardingSessionId": "fd7cc202-1af5-4ce8-b709-66e287ca51fb",
      "intentId": "string",
      "selectedByUserId": "string",
      "selectedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "intent": {
        "id": "string",
        "name": "string",
        "description": "string",
        "category": "string",
        "version": "string",
        "source": "predefined",
        "forkedFromIntentId": "string",
        "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
        "schema": {},
        "authoringState": "draft",
        "enabled": true,
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    },
    "session": {
      "state": "profile_required",
      "nextAction": "complete_profile",
      "completedSteps": [],
      "blockingReason": "profile_incomplete",
      "updatedAt": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "userId": "string",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "skippedSteps": [],
      "startedAt": "2019-08-24T14:15:22Z",
      "completedAt": "2019-08-24T14:15:22Z",
      "failedAt": "2019-08-24T14:15:22Z",
      "milestones": []
    }
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`reporter-reporting-intents-select.response.200.data`; object, required)
  - `selection` (`reporter-reporting-intents-select.response.200.data.selection`; object, required)
    - `id` (`reporter-reporting-intents-select.response.200.data.selection.id`; string, required)
      - format `uuid`
    - `entityId` (`reporter-reporting-intents-select.response.200.data.selection.entityId`; string, required)
      - format `uuid`
    - `onboardingSessionId` (`reporter-reporting-intents-select.response.200.data.selection.onboardingSessionId`; string, required, nullable)
      - format `uuid`
    - `intentId` (`reporter-reporting-intents-select.response.200.data.selection.intentId`; string, required)
      - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
    - `selectedByUserId` (`reporter-reporting-intents-select.response.200.data.selection.selectedByUserId`; string, required, nullable)
      - minLength 1
    - `selectedAt` (`reporter-reporting-intents-select.response.200.data.selection.selectedAt`; string, required)
      - format `date-time`
    - `createdAt` (`reporter-reporting-intents-select.response.200.data.selection.createdAt`; string, required)
      - format `date-time`
    - `updatedAt` (`reporter-reporting-intents-select.response.200.data.selection.updatedAt`; string, required)
      - format `date-time`
    - `intent` (`reporter-reporting-intents-select.response.200.data.selection.intent`; object, optional, nullable)
      - `id` (`reporter-reporting-intents-select.response.200.data.selection.intent.id`; string, required)
        - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
      - `name` (`reporter-reporting-intents-select.response.200.data.selection.intent.name`; string, required)
        - minLength 1; maxLength 160
      - `description` (`reporter-reporting-intents-select.response.200.data.selection.intent.description`; string, required)
        - minLength 1; maxLength 1000
      - `category` (`reporter-reporting-intents-select.response.200.data.selection.intent.category`; string, required)
        - minLength 1; maxLength 120
      - `version` (`reporter-reporting-intents-select.response.200.data.selection.intent.version`; string, required)
        - minLength 1; maxLength 80
      - `source` (`reporter-reporting-intents-select.response.200.data.selection.intent.source`; string, required)
        - one of `"predefined"`, `"custom"`
      - `forkedFromIntentId` (`reporter-reporting-intents-select.response.200.data.selection.intent.forkedFromIntentId`; string, required, nullable)
        - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
      - `enabled` (`reporter-reporting-intents-select.response.200.data.selection.intent.enabled`; boolean, required)
      - `createdAt` (`reporter-reporting-intents-select.response.200.data.selection.intent.createdAt`; string, required)
        - format `date-time`
      - `updatedAt` (`reporter-reporting-intents-select.response.200.data.selection.intent.updatedAt`; string, required)
        - format `date-time`
      - `entityId` (`reporter-reporting-intents-select.response.200.data.selection.intent.entityId`; string, optional, nullable)
        - format `uuid`
      - `schema` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema`; object, optional)
        - default `{}`
        - `goldenDocuments` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments`; array<object>, optional)
          - `id` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.id`; string, required)
            - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
          - `label` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.label`; string, required)
            - minLength 1; maxLength 180
          - `documentRole` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.documentRole`; string, required)
            - minLength 1; maxLength 120
          - `sourceType` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.sourceType`; string, required)
            - minLength 1; maxLength 120
          - `privacyClassification` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.privacyClassification`; string, required)
            - one of `"generated_sample"`, `"synthetic_redacted"`, `"redacted_customer_approved"`
          - `fixturePath` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.fixturePath`; string, optional)
            - minLength 1; maxLength 1000
          - `artifact` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.artifact`; object, optional)
            - `artifactId` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.artifact.artifactId`; string, optional)
              - minLength 1; maxLength 240
            - `artifactType` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.artifact.artifactType`; string, optional)
              - minLength 1; maxLength 120
            - `storageKey` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.artifact.storageKey`; string, optional)
              - minLength 1; maxLength 1000
            - `checksumSha256` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.artifact.checksumSha256`; string, optional)
              - minLength 1; maxLength 128
            - `mimeType` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.artifact.mimeType`; string, optional)
              - minLength 1; maxLength 160
          - `expectedOutputSummary` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.expectedOutputSummary`; string, optional)
            - minLength 1; maxLength 2000
          - `approvalStatus` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.approvalStatus`; string, optional)
            - one of `"approved"`; default `"approved"`
          - `approvedByUserId` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.approvedByUserId`; string, optional)
            - minLength 1; maxLength 160
          - `approvedAt` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.approvedAt`; string, optional)
            - format `date-time`
          - `tags` (`reporter-reporting-intents-select.response.200.data.selection.intent.schema.goldenDocuments.tags`; array<string>, optional)
            - minLength 1; maxLength 80; default `[]`
      - `authoringState` (`reporter-reporting-intents-select.response.200.data.selection.intent.authoringState`; string, optional)
        - one of `"draft"`, `"ready"`; default `"ready"`
  - `session` (`reporter-reporting-intents-select.response.200.data.session`; object, required)
    - `state` (`reporter-reporting-intents-select.response.200.data.session.state`; string, required)
      - one of `"profile_required"`, `"entity_required"`, `"reputation_pending"`, `"agent_identity_pending"`, `"accounting_provider_required"`, `"accounting_authorization_required"`, `"accounting_syncing"`, `"reporting_intent_required"`, `"ready_to_generate_report"`, `"report_generating"`, `"complete"`, `"failed"`
    - `nextAction` (`reporter-reporting-intents-select.response.200.data.session.nextAction`; string, required, nullable)
      - one of `"complete_profile"`, `"create_entity"`, `"review_reputation"`, `"create_agent_identity"`, `"select_accounting_provider"`, `"authorize_accounting_provider"`, `"wait_for_accounting_sync"`, `"select_reporting_intent"`, `"generate_first_report"`, `"wait_for_report_generation"`, `"view_first_report"`, `"resolve_failure"`
    - `blockingReason` (`reporter-reporting-intents-select.response.200.data.session.blockingReason`; string, required, nullable)
      - one of `"profile_incomplete"`, `"entity_missing"`, `"admin_operator_link_missing"`, `"reputation_score_unavailable"`, `"agent_identity_not_ready"`, `"accounting_provider_missing"`, `"accounting_authorization_missing"`, `"accounting_sync_incomplete"`, `"reporting_intent_missing"`, `"report_generation_in_progress"`, `"onboarding_failed"`
    - `updatedAt` (`reporter-reporting-intents-select.response.200.data.session.updatedAt`; string, required)
      - format `date-time`
    - `id` (`reporter-reporting-intents-select.response.200.data.session.id`; string, required)
      - format `uuid`
    - `userId` (`reporter-reporting-intents-select.response.200.data.session.userId`; string, required)
      - minLength 1
    - `startedAt` (`reporter-reporting-intents-select.response.200.data.session.startedAt`; string, required)
      - format `date-time`
    - `completedSteps` (`reporter-reporting-intents-select.response.200.data.session.completedSteps`; array<string>, optional)
      - one of `"profile_completed"`, `"entity_created"`, `"admin_operator_linked"`, `"reputation_score_initialized"`, `"agent_identity_requested"`, `"agent_identity_registered"`, `"accounting_provider_selected"`, `"accounting_authorization_started"`, `"accounting_connected"`, `"initial_sync_started"`, `"initial_sync_completed"`, `"reporting_intent_selected"`, `"first_report_generation_started"`, `"first_report_generated"`; default `[]`
    - `entityId` (`reporter-reporting-intents-select.response.200.data.session.entityId`; string, optional, nullable)
      - format `uuid`
    - `skippedSteps` (`reporter-reporting-intents-select.response.200.data.session.skippedSteps`; array<string>, optional)
      - one of `"company"`, `"accounting"`; default `[]`
    - `completedAt` (`reporter-reporting-intents-select.response.200.data.session.completedAt`; string, optional, nullable)
      - format `date-time`
    - `failedAt` (`reporter-reporting-intents-select.response.200.data.session.failedAt`; string, optional, nullable)
      - format `date-time`
    - `milestones` (`reporter-reporting-intents-select.response.200.data.session.milestones`; array<object>, optional)
      - default `[]`
      - `milestone` (`reporter-reporting-intents-select.response.200.data.session.milestones.milestone`; string, required)
        - one of `"profile_completed"`, `"entity_created"`, `"admin_operator_linked"`, `"reputation_score_initialized"`, `"agent_identity_requested"`, `"agent_identity_registered"`, `"accounting_provider_selected"`, `"accounting_authorization_started"`, `"accounting_connected"`, `"initial_sync_started"`, `"initial_sync_completed"`, `"reporting_intent_selected"`, `"first_report_generation_started"`, `"first_report_generated"`
      - `completedAt` (`reporter-reporting-intents-select.response.200.data.session.milestones.completedAt`; string, required)
        - format `date-time`
      - `actorUserId` (`reporter-reporting-intents-select.response.200.data.session.milestones.actorUserId`; string, optional, nullable)
        - minLength 1
      - `entityId` (`reporter-reporting-intents-select.response.200.data.session.milestones.entityId`; string, optional, nullable)
        - format `uuid`
      - `metadata` (`reporter-reporting-intents-select.response.200.data.session.milestones.metadata`; map<unknown>, optional)
        - default `{}`
- `meta` (`reporter-reporting-intents-select.response.200.meta`; object, optional)
  - `timestamp` (`reporter-reporting-intents-select.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-select.response.400.error`; object, required)
  - `code` (`reporter-reporting-intents-select.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-select.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-select.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-select.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-select.response.401.error`; object, required)
  - `code` (`reporter-reporting-intents-select.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-select.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-select.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-select.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-select.response.403.error`; object, required)
  - `code` (`reporter-reporting-intents-select.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-select.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-select.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-select.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-select.response.404.error`; object, required)
  - `code` (`reporter-reporting-intents-select.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-select.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-select.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-select.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-select.response.409.error`; object, required)
  - `code` (`reporter-reporting-intents-select.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-select.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-select.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-select.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-select.response.422.error`; object, required)
  - `code` (`reporter-reporting-intents-select.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-select.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-select.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-select.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-select.response.500.error`; object, required)
  - `code` (`reporter-reporting-intents-select.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-select.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-select.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-select.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/reporter-reporting-intents-select/index.md
